import PropTypes from 'prop-types';
import Cropper from 'react-easy-crop';
import { baseClass, getRotationDegrees } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";

var ImageEditorCropper = function ImageEditorCropper(_ref) {
  var image = _ref.image,
      crop = _ref.crop,
      zoom = _ref.zoom,
      rotation = _ref.rotation,
      aspect = _ref.aspect,
      onCropChange = _ref.onCropChange,
      onCropComplete = _ref.onCropComplete,
      onRotationChange = _ref.onRotationChange,
      onZoomChange = _ref.onZoomChange;
  return /*#__PURE__*/_jsx("div", {
    className: baseClass + "-crop",
    children: /*#__PURE__*/_jsx(Cropper, {
      image: image,
      crop: crop,
      zoom: 1 + zoom / 100,
      rotation: getRotationDegrees(rotation),
      aspect: aspect,
      onCropChange: onCropChange,
      onCropComplete: onCropComplete,
      onRotationChange: onRotationChange,
      onZoomChange: onZoomChange
    })
  });
};

ImageEditorCropper.displayName = 'ImageEditorCropper';
export default ImageEditorCropper;